import 'package:flutter/material.dart';
import 'package:flutterflow_widgets/flutterflow_widgets.dart';

class CalendarScreen extends StatelessWidget {
  const CalendarScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: const Text('Caleanr')),
      body: CustomCalendar(
        locale: 'ko',
        events: {
          DateTime(2023, 2, 1, 3, 50, 24): 'Event A0',
          DateTime(2023, 2, 5, 8, 27, 1): const [
            'Event A0',
            'Event B0',
            'Event C0',
            'Event 4'
          ],
          DateTime(2023, 2, 5, 1, 2, 3): const {'a': 'appble', 'b': 'banana'},
          DateTime(2023, 2, 23, 24, 24, 24): const [
            'Event A0',
            'Event B0',
            'Event C0'
          ],
          DateTime(2023, 2, 28): const [
            '2023, 2, 28 (1)',
            '2023, 2, 28 (2)',
            '2023, 2, 28 (3)'
          ],
          DateTime(2022, 12, 28): const ['Event 1', 'Event 2'],
          DateTime(2024, 1, 2): const ['Jan 2, 24 (1)', 'Jan 2, 24 (2)'],
        },
        onDaySelected: (List<dynamic>? events) {
          // print(events.toString());
        },
      ),
    );
  }
}
