import 'package:flutter/material.dart';
import 'package:flutterflow_widgets/flutterflow_widgets.dart';

class UrlPreviewScreen extends StatefulWidget {
  const UrlPreviewScreen({Key? key}) : super(key: key);

  @override
  State<UrlPreviewScreen> createState() => _UrlPreviewScreenState();
}

class _UrlPreviewScreenState extends State<UrlPreviewScreen> {
  final textController = TextEditingController();

  @override
  void initState() {
    super.initState();
    textController.text =
        'stack https://stackoverflow.com/questions/62540297/figma-text-orientation?a=b&text-orien, This is the philgo site: https://philgo.com/?buyandsell=&module=post&action=list&post_id=buyandsell&adv_counter= and this is the naver site: https://naver.com';
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Url Preview'),
      ),
      body: SingleChildScrollView(
        child: Column(
          children: [
            TextField(
              controller: textController,
              decoration: const InputDecoration(
                label: Text('Url with some text'),
              ),
            ),
            const SizedBox(height: 10),
            ElevatedButton(
              onPressed: () {
                setState(() {});
              },
              child: const Text('Update Preview'),
            ),
            const SizedBox(height: 10),
            Text(textController.text),
            UrlPreview(
              text: textController.text,
              descriptionLength: 80,
              builder: (child) => Container(
                margin: const EdgeInsets.only(top: 8),
                padding: const EdgeInsets.all(16),
                width: 260,
                decoration: BoxDecoration(
                  color: Colors.amber.shade100,
                  border: Border.all(color: Colors.black26.withAlpha(25)),
                  borderRadius: BorderRadius.circular(8),
                ),
                child: child,
              ),
            ),
            const SizedBox(
              height: 20,
            ),
            UrlPreview(
              text: "google https://google.com oo",
              descriptionLength: 80,
              builder: (child) => Container(
                margin: const EdgeInsets.only(top: 8),
                padding: const EdgeInsets.all(16),
                width: 260,
                decoration: BoxDecoration(
                  color: Colors.amber.shade100,
                  border: Border.all(color: Colors.black26.withAlpha(25)),
                  borderRadius: BorderRadius.circular(8),
                ),
                child: child,
              ),
            ),
            const SizedBox(
              height: 20,
            ),
            UrlPreview(
              text: "naver https://naver.com oo",
              descriptionLength: 80,
              builder: (child) => Container(
                margin: const EdgeInsets.only(top: 8),
                padding: const EdgeInsets.all(16),
                width: 260,
                decoration: BoxDecoration(
                  color: Colors.amber.shade100,
                  border: Border.all(color: Colors.black26.withAlpha(25)),
                  borderRadius: BorderRadius.circular(8),
                ),
                child: child,
              ),
            ),
            const SizedBox(
              height: 20,
            ),
            UrlPreview(
              text:
                  "a social shite https://sharethis.com/platform/share-buttons/?oo=uu later",
              descriptionLength: 80,
              builder: (child) => Container(
                margin: const EdgeInsets.only(top: 8),
                padding: const EdgeInsets.all(16),
                width: 260,
                decoration: BoxDecoration(
                  color: Colors.amber.shade100,
                  border: Border.all(color: Colors.black26.withAlpha(25)),
                  borderRadius: BorderRadius.circular(8),
                ),
                child: child,
              ),
            ),
          ],
        ),
      ),
    );
  }
}
